<template>
  <div :is="component" class="rate">
    <h2>{{rate.baseCurrency}}/{{rate.currency}}</h2>
    {{rate.rate.toFixed(2)}}
  </div>
</template>

<script>
export default {
  name: "rate",
  props: {
    rate: Object,
    component: {
      type: String,
      required: false,
      default: "div"
    }
  }
};
</script>

<style>
.rate {
  width: 200px;
  display: flex;
  flex-direction: column;
  border: solid #000 1px;
  margin: 5px;
  font-size: 2em;
  text-align: center;
  font-weight: bold;
}

.rate h2 {
  margin: 0;
  background-color: #e0ffff;
  text-align: center;
  border-bottom: solid black 1px;
  font-weight: normal;
  font-size: 0.75em;
}
</style>
